javax.persistence

## Interface TypedQuery<X>

All Superinterfaces:
  Query

    public interface TypedQuery<X>
    extends Query

### Method Summary

All Methods Instance Methods Abstract Methods
`List<X>` `getResultList()`
`X` `getSingleResult()`
`TypedQuery<X>` `setFirstResult(int startPosition)`
`TypedQuery<X>` `setFlushMode(FlushModeType flushMode)`
`TypedQuery<X>` `setHint(String hintName, Object value)`
`TypedQuery<X>` `setLockMode(LockModeType lockMode)`
`TypedQuery<X>` `setMaxResults(int maxResult)`
`TypedQuery<X>` `setParameter(int position, Calendar value, TemporalType temporalType)`
`TypedQuery<X>` `setParameter(int position, Date value, TemporalType temporalType)`
`TypedQuery<X>` `setParameter(int position, Object value)`
`TypedQuery<X>` `setParameter(Parameter<Calendar> param, Calendar value, TemporalType temporalType)`
`TypedQuery<X>` `setParameter(Parameter<Date> param, Date value, TemporalType temporalType)`
`<T> TypedQuery<X>` `setParameter(Parameter<T> param, T value)`
`TypedQuery<X>` `setParameter(String name, Calendar value, TemporalType temporalType)`
`TypedQuery<X>` `setParameter(String name, Date value, TemporalType temporalType)`
`TypedQuery<X>` `setParameter(String name, Object value)`

### Methods inherited from interface javax.persistence.Query

`executeUpdate, getFirstResult, getFlushMode, getHints, getLockMode, getMaxResults, getParameter, getParameter, getParameter, getParameter, getParameters, getParameterValue, getParameterValue, getParameterValue, isBound, unwrap`

### Method Detail

#### getResultList

    List<X> getResultList()

Specified by:
  `getResultList` in interface `Query`

#### getSingleResult

    X getSingleResult()

Specified by:
  `getSingleResult` in interface `Query`

#### setMaxResults

    TypedQuery<X> setMaxResults(int maxResult)

Specified by:
  `setMaxResults` in interface `Query`

#### setFirstResult

    TypedQuery<X> setFirstResult(int startPosition)

Specified by:
  `setFirstResult` in interface `Query`

#### setHint

    TypedQuery<X> setHint(String hintName,
                          Object value)

Specified by:
  `setHint` in interface `Query`

#### setParameter

    <T> TypedQuery<X> setParameter(Parameter<T> param,
                                   T value)

Specified by:
  `setParameter` in interface `Query`

#### setParameter

    TypedQuery<X> setParameter(Parameter<Calendar> param,
                               Calendar value,
                               TemporalType temporalType)

Specified by:
  `setParameter` in interface `Query`

#### setParameter

    TypedQuery<X> setParameter(Parameter<Date> param,
                               Date value,
                               TemporalType temporalType)

Specified by:
  `setParameter` in interface `Query`

#### setParameter

    TypedQuery<X> setParameter(String name,
                               Object value)

Specified by:
  `setParameter` in interface `Query`

#### setParameter

    TypedQuery<X> setParameter(String name,
                               Calendar value,
                               TemporalType temporalType)

Specified by:
  `setParameter` in interface `Query`

#### setParameter

    TypedQuery<X> setParameter(String name,
                               Date value,
                               TemporalType temporalType)

Specified by:
  `setParameter` in interface `Query`

#### setParameter

    TypedQuery<X> setParameter(int position,
                               Object value)

Specified by:
  `setParameter` in interface `Query`

#### setParameter

    TypedQuery<X> setParameter(int position,
                               Calendar value,
                               TemporalType temporalType)

Specified by:
  `setParameter` in interface `Query`

#### setParameter

    TypedQuery<X> setParameter(int position,
                               Date value,
                               TemporalType temporalType)

Specified by:
  `setParameter` in interface `Query`

#### setFlushMode

    TypedQuery<X> setFlushMode(FlushModeType flushMode)

Specified by:
  `setFlushMode` in interface `Query`

#### setLockMode

    TypedQuery<X> setLockMode(LockModeType lockMode)

Specified by:
  `setLockMode` in interface `Query`